Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.rbf.training
Class SVD

    java.lang.Object
      org.encog.neural.rbf.training.SVD

    public class SVD

extends Object

Perform a SVD decomp on a matrix. Contributed to Encog By M.Fletcher and M.Dean University of Cambridge, Dept. of Physics, UK

Constructor Summary
`SVD()`

Method Summary
`static double` | `MAX(double a, double b)`
`static int` | `MIN(int m, int n)`
`static double` | `pythag(double a, double b)`
`static double` | `SIGN(double a, double b)`
`static void` | `svdbksb(double[][] u, double[] w, double[][] v, double[][] b, double[][] x)`
`static void` | `svdcmp(double[][] a, double[] w, double[][] v)`
`static double` | `svdfit(double[][] x, double[][] y, double[][] a, RadialBasisFunction[] funcs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVD

    public SVD()

Method Detail

### svdfit

    public static double svdfit(double[][] x,
                                double[][] y,
                                double[][] a,
                                RadialBasisFunction[] funcs)

### svdbksb

    public static void svdbksb(double[][] u,
                               double[] w,
                               double[][] v,
                               double[][] b,
                               double[][] x)

### svdcmp

    public static void svdcmp(double[][] a,
                              double[] w,
                              double[][] v)

### MIN

    public static int MIN(int m,
                          int n)

### MAX

    public static double MAX(double a,
                             double b)

### SIGN

    public static double SIGN(double a,
                              double b)

### pythag

    public static double pythag(double a,
                                double b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.